<template>
  <div class="app-container">
    <div class="filter-container">
      <el-form ref="form" v-model="form">
        <el-col :span="5">
          <el-form-item label="人员名称:">
            <el-input v-model="form.USER_NAME" placeholder="搜索" class="filter-item" style="width: 200px;"/>
          </el-form-item>
        </el-col>
        <el-col :span="5">
          <el-form-item label="企业名称:">
            <el-input v-model="form.CORPINFO_NAME" placeholder="搜索" class="filter-item" style="width: 200px;"/>
          </el-form-item>
        </el-col>
        <el-col :span="5">
          <el-form-item label="部门名称:">
            <el-input v-model="form.DEPARTMENT_NAME" placeholder="搜索" class="filter-item" style="width: 200px;"/>
          </el-form-item>
        </el-col>
        <el-col :span="4">
          <el-button v-waves class="filter-item" type="primary" icon="el-icon-search" @click="getQuery">搜索</el-button>
          <el-button v-waves class="filter-item" type="success" icon="el-icon-refresh" @click="reset">重置</el-button>
        </el-col>
      </el-form>
    </div>
    <el-table
      v-loading="listLoading"
      ref="multipleTable"
      :data="varList"
      :row-key="getRowKey"
      :header-cell-style="{
        'font-weight': 'bold',
        'color': '#000'
      }"
      tooltip-effect="dark"
      border
      fit
      highlight-current-row
    >
      <el-table-column
        :reserve-selection="true"
        type="selection"
        width="55"
        align="center"/>
      <el-table-column type="index" label="序号" width="50" align="center" />
      <el-table-column prop="NAME" label="姓名"/>
      <el-table-column prop="PHONE" label="手机号"/>
      <el-table-column prop="CORPINFO_NAME" label="企业名称"/>
      <el-table-column prop="DEPARTMENT_NAME" label="部门名称"/>
      <el-table-column label="来源" align="center" width="120">
        <template slot-scope="{row}">
          {{ getUserType(row.USER_TYPE) }}
        </template>
      </el-table-column>
      <el-table-column label="操作" align="left" width="110">
        <template slot-scope="{row}">
          <el-button type="primary" icon="el-icon-view" size="mini" @click="getAuditInfo(row)">详情</el-button>
        </template>
      </el-table-column>
    </el-table>
    <div class="page-btn-group">
      <div/><div/>
      <pagination :total="total" :page.sync="listQuery.page" :limit.sync="listQuery.limit" @pagination="getList" />
    </div>
  </div>
</template>

<script>
import Pagination from '@/components/Pagination' // 通过 el-pagination二次打包
import { requestFN } from '@/utils/request'
import waves from '@/directive/waves' // waves directive
export default{
  components: { Pagination },
  directives: { waves },
  data() {
    return {
      listQuery: {
        page: 1,
        limit: 10
      },
      areaList: [], // 省市县列表
      placeList: [],
      listLoading: true,
      varList: [],
      typeList: [
        { ID: '0', NAME: '监管端' },
        { ID: '1', NAME: '企业端' },
        { ID: '2', NAME: '相关方端' }
      ],
      total: 0,
      title: '',
      isShow: false,
      form: {
        USER_NAME: '',
        CORPINFO_NAME: '',
        DEPARTMENT_NAME: '',
        USER_TYPE: 2
      }
    }
  },
  created() {
    console.log('=====================')
    console.log(this.form)
    console.log('=====================')
    this.getList()
  },
  methods: {
    getRowKey(row) {
      return row.USER_ID
    },
    getUserType(USER_TYPE) {
      if (USER_TYPE === '0') {
        return '监管端'
      } else if (USER_TYPE === '1') {
        return '企业端'
      } else if (USER_TYPE === '2') {
        return '相关方端'
      }
    },
    // 搜索
    getQuery() {
      this.$refs.multipleTable.clearSelection()
      this.getList()
    },
    // 重置
    reset() {
      this.form = {
        USER_NAME: '',
        PHONE: '',
        ID_CARD: '',
        CORPINFO_NAME: '',
        DEPARTMENT_NAME: '',
        VISIT_START_TIME: '',
        VISIT_END_TIME: '',
        DOOR_NAME: ''
      }
      this.getList()
    },
    // 获取列表
    getList() {
      this.listLoading = true
      requestFN(
        '/mkmj/management/getZgPersonList?showCount=' + this.listQuery.limit + '&currentPage=' + this.listQuery.page,
        {
          CORPINFO_ID: JSON.parse(sessionStorage.getItem('user')).CORPINFO_ID
        }

      ).then((data) => {
        console.log(data)
        this.listLoading = false
        this.varList = data.getZgPersonList
        this.total = data.page.totalResult
        this.hasButton()
      }).catch((e) => {
        this.listLoading = false
      })
    },
    getAuditInfo(ROW) {
      console.log(ROW)
      this.$parent.activeName = 'recordsList'
      this.$parent.USER_ID = ROW.USER_ID
    }
  }

}
</script>

